Table.Get Profile
curl --request GET \
--url https://api.retab.com/v1/tables/{table_id}/profile \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.retab.com/v1/tables/{table_id}/profile"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.retab.com/v1/tables/{table_id}/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"table_id": "<string>",
"row_count": 123,
"columns": []
}{
"detail": []
}Tables
Profile Table
GET
/
v1
/
tables
/
{table_id}
/
profile
Table.Get Profile
Return column-level row counts, null counts, distinct counts, ranges, and sample values for a CSV-backed table.
Python
profile = client.tables.profile(table_id="tbl_123", select=["countrycode"])
TypeScript
const profile = await client.tables.profile("tbl_123", {
select: ["countrycode"],
});
Go
profile, err := client.Tables.Profile(ctx, "tbl_123", &retab.TablesProfileParams{
Select: []string{"countrycode"},
})
Java
// Profile table columns with the Retab Java client.
cURL
curl "https://api.retab.com/v1/tables/tbl_123/profile?select=countrycode" \
-H "Authorization: Bearer $RETAB_API_KEY"
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
⌘I